Float variables
Functionality by programming task » Programming models » Using integer set variables and constraints

## Namespaces

namespace | Gecode::Float::Limits
| Numerical limits for floating point variables.

## Classes

class | Gecode::Float::Rounding
| Floating point rounding policy. More...
class | Gecode::FloatVal
| Float value type. More...
class | Gecode::FloatVar
| Float variables. More...

## Typedefs

typedef double | Gecode::FloatNum
| Floating point number base type.

## Detailed Description

## Typedef Documentation

## FloatNum

typedef double Gecode::FloatNum

Floating point number base type.

This type defines the interval bounds used for representing floating point values.

Definition at line 106 of file float.hh.